# Contributing to Kratos Multiphysics

We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- [Reporting a bug](#reporting-a-bug)
- [Discussing the current state of the code](#discussing-the-current-state-of-the-code)
- [Proposing new features](#proposing-new-features)
- [Submitting a fix](#submitting-a-fix)
- [Becoming a maintainer](#becoming-a-maintainer)

## Reporting a bug 🐛

Please open an issue in order to report a bug. A template for bugs is provided.

## Discussing the current state of the code 🗣️

Please open an issue in order to give any comment about the current state of the code. We also provide several templates for discussions and questions.

Feedback is needed! 😊

## Proposing new features 🚀

Please open an issue, or if you are already a developer and brave enough open a **PR** with the new features ;). We have specific templates for the requests.

The structure of the branch must be: `subject/short-description`. For example for a new utility in the core: `core/adding-xxx-utility`. We separate the words using `-`.

## Submitting a hotfix 🔥

If you are already a developer, please create a new branch with the proposed changes. Then create a **Pull Request** (**PR**) and request a review. Define the proper labels in the corresponding **PR**.

We consider the same branch structure: `subject/short-description`. For example for a fix in the core of a given utility: `core/fix-xxx-utility`. 

If you are not member of the KratosMultiphysics organization you may fork this project and open a **PR** with the proposed fix. On a side note, you are welcome to become a member of our organization and for joining us please see below.

## Becoming a maintainer 👨‍💻

Please contact the main maintainers at <kratosmultiphysics@gmail.com> 📨.
